Bug 650282 - Review Request: rubygem-rspec-expectations - Rspec-2 expectations (should and matchers)
Summary: Review Request: rubygem-rspec-expectations - Rspec-2 expectations (should and...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 650283
TreeView+ depends on / blocked
 
Reported: 2010-11-05 16:47 UTC by Mamoru TASAKA
Modified: 2012-12-03 16:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-25 19:48:12 UTC
vondruch: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mamoru TASAKA 2010-11-05 16:47:30 UTC
Spec URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-rspec-expectations/rubygem-rspec-expectations.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-rspec-expectations/rubygem-rspec-expectations-2.0.1-1.fc.src.rpm
Description: 
rspec-expectations adds `should` and `should_not` to every object and includes
RSpec::Matchers, a library of standard matchers.

Comment 2 Vít Ondruch 2011-02-23 11:53:53 UTC
I am taking this review.

Comment 3 Vít Ondruch 2011-02-23 12:26:23 UTC
* Unnecessary prep section
  - The "gem install" could be moved into install section. This is not MUST, 
    however it would simplify the spec file a bit.

* Test suite
  - Some specs are not executed (there are 4 specs missing). The test suite
    should be executed by following command preferably:

    ruby -rubygems -Ilib/ -S rspec spec

  - What about executing Cucumber test suite? But there is probably missing
    packaged Aruba gem :/

* Koji:
  - Builds fine on Koji
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2859873

Neither one of the above is showstopper, so the package is APPROVED.

Comment 4 Mamoru TASAKA 2011-02-23 18:01:17 UTC
Thank you for review and comments. I will refrect them when I import this
package into Fedora git.

New Package SCM Request
=======================
Package Name:         rubygem-rspec-expectations
Short Description:    Rspec-2 expectations (should and matchers)
Owners:               mtasaka
Branches:             f15 f14 f13
InitialCC:

Comment 5 Jason Tibbitts 2011-02-24 18:27:10 UTC
Git done (by process-git-requests).

Comment 6 Mamoru TASAKA 2011-02-25 19:48:12 UTC
Rebuilt for all branches, submitted push requests for F-15/14/13, closing.
Thank you for the review and git procedure.

Comment 7 Bryan Kearney 2012-12-03 16:24:13 UTC
Package Change Request
======================
Package Name: rubygem-rspec-expectations
New Branches: el6
Owners: bkearney vondruch
InitialCC:

Comment 8 Gwyn Ciesla 2012-12-03 16:38:28 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.